summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xdracut-functions.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/dracut-functions.sh b/dracut-functions.sh
index 58b0b4dc..990aadf3 100755
--- a/dracut-functions.sh
+++ b/dracut-functions.sh
@@ -563,9 +563,12 @@ if [[ $DRACUT_INSTALL ]]; then
}
dracut_install() {
+ local ret
#dinfo "initdir=$initdir $DRACUT_INSTALL -l $@"
$DRACUT_INSTALL ${initdir+-D "$initdir"} -a ${DRACUT_RESOLVE_DEPS+-l} ${DRACUT_FIPS_MODE+-H} "$@"
- (($? != 0)) && derror $DRACUT_INSTALL ${initdir+-D "$initdir"} -a ${DRACUT_RESOLVE_DEPS+-l} ${DRACUT_FIPS_MODE+-H} "$@" || :
+ ret=$?
+ (($ret != 0)) && derror $DRACUT_INSTALL ${initdir+-D "$initdir"} -a ${DRACUT_RESOLVE_DEPS+-l} ${DRACUT_FIPS_MODE+-H} "$@" || :
+ return $ret
}
inst_library() {